Bug 803605 - BUG: unable to handle kernel paging request at ffffffff825ae3f8 avc_audit_pre_callback
BUG: unable to handle kernel paging request at ffffffff825ae3f8 avc_audit_pre...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:780dff9953b85100c52be0dcdf2...
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-03-15 04:44 EDT by Pierre-Antoine Roiron
Modified: 2012-05-14 13:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre-Antoine Roiron 2012-03-15 04:44:20 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.9-2.fc16.x86_64 root=/dev/mapper/vg_thinkpad-lv_root ro rd.md=0 rd.dm=0 quiet rd.lvm.lv=vg_thinkpad/lv_swap rhgb rd.lvm.lv=vg_thinkpad/lv_root rd.luks=0 KEYTABLE=fr SYSFONT=latarcyrheb-sun16 LANG=fr_FR.UTF-8
comment:        I was reading a long article on a website and wasn't even touching the computer.
kernel:         3.2.9-2.fc16.x86_64
reason:         BUG: unable to handle kernel paging request at ffffffff825ae3f8
time:           jeu. 15 mars 2012 09:44:20 CET

backtrace:
:BUG: unable to handle kernel paging request at ffffffff825ae3f8
:IP: [<ffffffff8126772d>] avc_audit_pre_callback+0x8d/0x130
:PGD 1a07067 PUD 1a0b063 PMD 0 
:Oops: 0000 [#1] SMP 
:CPU 3 
:Modules linked in: usblp tcp_lp ppdev parport_pc lp parport fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge fcoe 8021q libfcoe libfc scsi_transport_fc scsi_tgt lockd garp stp llc rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 ip6table_filter nf_defrag_ipv4 xt_state ip6_tables nf_conntrack snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device vhost_net macvtap macvlan snd_pcm tun arc4 virtio_net snd_timer uvcvideo iwlwifi videodev media thinkpad_acpi kvm_intel snd mac80211 kvm r8169 v4l2_compat_ioctl32 btusb bluetooth i2c_i801 intel_ips iTCO_wdt cfg80211 iTCO_vendor_support mii snd_page_alloc microcode uinput rfkill joydev serio_raw sunrpc soundcore ums_realtek usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 4473, comm: updatedb Not tainted 3.2.9-2.fc16.x86_64 #1 LENOVO 0301GXG/0301GXG
:RIP: 0010:[<ffffffff8126772d>]  [<ffffffff8126772d>] avc_audit_pre_callback+0x8d/0x130
:RSP: 0018:ffff8800335f9bb8  EFLAGS: 00010202
:RAX: 00000000000aaa90 RBX: 0000000000000020 RCX: 000000000000003a
:RDX: 0000000000000038 RSI: 0000000000000002 RDI: ffff8800ae5aac00
:RBP: ffff8800335f9be8 R08: 0000000000000000 R09: 000000000000fffc
:R10: 000000000000000a R11: 0000000000000010 R12: 0000000000000010
:R13: 0000000000000010 R14: ffff8801276b3100 R15: 0000000000b55390
:FS:  00007f0e90185700(0000) GS:ffff880137d80000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: ffffffff825ae3f8 CR3: 00000000ae6d3000 CR4: 00000000000006e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process updatedb (pid: 4473, threadinfo ffff8800335f8000, task ffff880130e15cc0)
:Stack:
: 0000000000000000 ffff8800335f9d98 ffff8801276b3100 0000000000aaaaaa
: 000000000000019c 00000000fffffff3 ffff8800335f9c48 ffffffff81284021
: 0000000000000040 00008020812657cc ffff8800335f9c28 000000000000019c
:Call Trace:
: [<ffffffff81284021>] common_lsm_audit+0x61/0x700
: [<ffffffff81267b96>] avc_audit+0xb6/0x130
: [<ffffffff81268016>] ? avc_has_perm_noaudit+0x2e6/0x360
: [<ffffffff81268104>] avc_has_perm_flags+0x74/0x90
: [<ffffffff812683e0>] inode_has_perm+0x30/0x40
: [<ffffffff8126860f>] path_has_perm+0x5f/0x80
: [<ffffffff812676a0>] ? avc_latest_notif_update+0x90/0x90
: [<ffffffff812677d0>] ? avc_audit_pre_callback+0x130/0x130
: [<ffffffff81268666>] selinux_inode_getattr+0x36/0x40
: [<ffffffff81265800>] security_inode_getattr+0x20/0x30
: [<ffffffff8117fc6f>] vfs_getattr+0x2f/0x80
: [<ffffffff8117fd0e>] vfs_fstatat+0x4e/0x70
: [<ffffffff8117fd4e>] vfs_lstat+0x1e/0x20
: [<ffffffff8117feea>] sys_newlstat+0x1a/0x40
: [<ffffffff81185c32>] ? path_put+0x22/0x30
: [<ffffffff810ce4ba>] ? audit_syscall_entry+0x23a/0x350
: [<ffffffff815ec682>] system_call_fastpath+0x16/0x1b
:Code: ef 01 4c 89 f7 31 db 4d 63 ff 41 bc 01 00 00 00 e8 09 17 e6 ff 4c 89 f8 49 c1 e7 08 48 c1 e0 04 49 01 c7 0f 1f 00 45 85 ec 74 26 <49> 8b 94 1f 48 90 a5 81 48 85 d2 74 19 31 c0 48 c7 c6 0b 91 7b 
:RIP  [<ffffffff8126772d>] avc_audit_pre_callback+0x8d/0x130
: RSP <ffff8800335f9bb8>
:CR2: ffffffff825ae3f8

smolt_data:
:
:
:Général
:=================================
:UUID: 7e134ac2-e5b2-41c3-b037-6700af223787
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 5054.22
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM) i3 CPU       M 380  @ 2.53GHz
:Stepping du processeur: 5
:Famille de processeur: 6
:Modèle du processeur: 37
:Nombre de processeurs: 4
:Vitesse du processeur: 2533
:Mémoire du système: 3754
:Swap du système: 5791
:Fabricant: LENOVO
:Système: 0301GXG ThinkPad Edge
:Type d'ordinateur: Notebook
:Noyau: 3.2.9-2.fc16.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8579) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(4332:33128:6058:8497) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15180:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:15174:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_thinkpad-lv_root / ext4 4096 4096 13092026 2924632 2793610 3276800 3120481 3120481
:/dev/sda1 /boot ext4 1024 1024 508745 433254 407654 128016 127742 127742
:/dev/mapper/vg_thinkpad-lv_home /home ext4 4096 4096 107255458 84620265 79251638 26845184 26801128 26801128
:
Comment 1 Dave Jones 2012-03-19 10:50:31 EDT
had the laptop been hibernated ?
Comment 2 Pierre-Antoine Roiron 2012-03-19 11:52:59 EDT
I think it had been hibernated for the night and woke up maybe one hour before the bug.
Comment 3 Dave Jones 2012-03-19 12:12:51 EDT
we've seen a bunch of memory corruption problems on resume from a hibernate, and it's feasible that this bug is fallout from that problem.
Comment 4 Pierre-Antoine Roiron 2012-03-19 12:22:44 EDT
Yes, since, 2.1.9 (if my remembering is correct) I've seen a lot of bugs (either hardrive inodes corruption or memory corruption) around the hibernate process. I hope some solutions will be found! Good luck to nail these things!
Comment 5 Dave Jones 2012-03-22 12:48:15 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Dave Jones 2012-03-22 12:52:45 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 7 Dave Jones 2012-03-22 13:03:13 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 8 Josh Boyer 2012-03-28 14:01:06 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.